#include "SDL.h"

#include "SDL_pad.h"

#include <time.h>

int main(int argc, char* argv[]) {
	SDL_Init(SDL_INIT_VIDEO|SDL_INIT_JOYSTICK);

	SDL_SetVideoMode(200, 200, 16, SDL_SWSURFACE);

	Pad_Init();

	Pad_AddButton(0, PADK_x);
	Pad_AddButton(0, PADM_BUTTONLEFT);
	Pad_AddButton(0, PADK_TAB);
	Pad_AddButton(0, PADJ1_BUTTON0);

	/* ꤢդʤΥƥȤǤä 100 ȤϻȤʤɤ */
	Pad_AddButton(100, PADK_q);

	/*  */
	Pad_AddAxisKeyboardArrow(8);

	while (1) {
		Pad_Pump(PAD_PUMP_KEYBOARD|PAD_PUMP_EVENT|PAD_PUMP_USER);

		if (Pad_GetButtonPushed(PADE_QUIT) ||
			Pad_GetButtonPulled(PADK_ESCAPE) || /* פΥִ */
			Pad_GetButtonPushed(100))
		{
			break;
		}

		if (Pad_GetButton(PADK_z) >= 0) {
			printf("z is ");
			if (Pad_GetButton(PADK_z) == 0) {
				printf("pulled\n");
			}
			else if (Pad_GetButton(PADK_z) == 1) {
				printf("pushed\n");
			}
			else {
				printf("pressed\n");
			}
		}

		if (Pad_GetButton(0) >= 0) {
			printf("user button 1 is ");
			if (Pad_GetButton(0) == 0) {
				printf("pulled\n");
			}
			else if (Pad_GetButton(0) == 1) {
				printf("pushed\n");
			}
			else {
				printf("pressed\n");
			}
		}

		if (Pad_GetAxis(8)) {
			printf("arrow state is %s\n", Pad_axis_names[Pad_GetAxis(8)]);
		}

		if (Pad_GetError() && *Pad_GetError()) {
			printf("%s\n", Pad_GetError());
			break;
		}

		SDL_Delay(20);
	}

	Pad_SaveDefault("key.out");

	SDL_Quit();

    return 0;
}
