private import SDL;
private import SDL_pad;

int main() {
	SDL_Init(SDL_INIT_VIDEO|SDL_INIT_JOYSTICK);

	SDL_SetVideoMode(200, 200, 16, SDL_SWSURFACE);

	Pad_Init();

	Pad_LoadDefault("../padrc");

	while (1) {
		Pad_Pump(PAD_PUMP_KEYBOARD|PAD_PUMP_EVENT|PAD_PUMP_USER);

		if (Pad_GetButtonPushed(PAD_END_BUTTON)) {
			break;
		}

		
		if (Pad_GetButton(PAD_A_BUTTON) >= 0) {
			printf("A button is ");
			if (Pad_GetButton(PAD_A_BUTTON) == 0) {
				printf("pulled\n");
			}
			else if (Pad_GetButton(PAD_A_BUTTON) == 1) {
				printf("pushed\n");
			}
			else {
				printf("pressed\n");
			}
		}

		if (Pad_GetButton(PAD_B_BUTTON) >= 0) {
			printf("B button is ");
			if (Pad_GetButton(PAD_B_BUTTON) == 0) {
				printf("pulled\n");
			}
			else if (Pad_GetButton(PAD_B_BUTTON) == 1) {
				printf("pushed\n");
			}
			else {
				printf("pressed\n");
			}
		}


		if (Pad_GetAxis(0)) {
			printf("arrow state is %d\n", Pad_GetAxis(0));
		}

		if (Pad_GetError() && *Pad_GetError()) {
			printf("%s\n", Pad_GetError());
			break;
		}

		SDL_Delay(20);
	}

	Pad_SaveDefault("key.out");

	SDL_Quit();

    return 0;
}
